# Godo | DigitalOcean Documentation > Official Go client for the DigitalOcean API. Install with go get, authenticate with a personal access token, and call API operations with godo.Client. ## DigitalOcean Godo Go Library Reference Reference for the services and methods in Godo, the official Go client for the DigitalOcean API. - [DigitalOcean Godo Go Library Reference](https://docs.digitalocean.com/reference/godo/reference/index.html.md): Reference for the services and methods in Godo, the official Go client for the DigitalOcean API. - [godo.Droplets.Actions()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-actions/index.html.md): Actions lists the actions for a Droplet. - [godo.AgentPlatform.AddAgentRoute()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-add-agent-route/index.html.md): AddAgentRoute function adds a route between a parent and child agent. - [godo.Firewalls.AddDroplets()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-add-droplets/index.html.md): AddDroplets to a Firewall. - [godo.LoadBalancers.AddDroplets()](https://docs.digitalocean.com/reference/godo/reference/load-balancers/load-balancers-add-droplets/index.html.md): AddDroplets adds droplets to a load balancer. - [godo.LoadBalancers.AddForwardingRules()](https://docs.digitalocean.com/reference/godo/reference/load-balancers/load-balancers-add-forwarding-rules/index.html.md): AddForwardingRules adds forwarding rules to a load balancer. - [godo.AgentPlatform.AddKnowledgeBaseDataSource()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-add-knowledge-base-data-source/index.html.md): Add Data Source to a Knowledge Base - [godo.Kubernetes.AddRegistry()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-add-registry/index.html.md): AddRegistry integrates docr registry with all the specified clusters - [godo.Firewalls.AddRules()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-add-rules/index.html.md): AddRules to a Firewall. - [godo.Firewalls.AddTags()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-add-tags/index.html.md): AddTags to a Firewall. - [godo.ActionGateway.Toolbelts.AddTools()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-toolbelts/action-gateway-toolbelts-add-tools/index.html.md): AddTools creates a new version containing the additional tools. - [godo.MicroVMs.AddURL()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-add-url/index.html.md): AddURL mints a new public ingress URL for a running or paused MicroVM. - [godo.FloatingIPActions.Assign()](https://docs.digitalocean.com/reference/godo/reference/floating-ip-actions/floating-ip-actions-assign/index.html.md): Assign a floating IP to a droplet. - [godo.ReservedIPActions.Assign()](https://docs.digitalocean.com/reference/godo/reference/reserved-ip-actions/reserved-ip-actions-assign/index.html.md): Assign a reserved IP to a droplet. - [godo.ReservedIPV6Actions.Assign()](https://docs.digitalocean.com/reference/godo/reference/reserved-ipv6-actions/reserved-ipv6-actions-assign/index.html.md): Assign a reserved IP to a droplet. - [godo.Projects.AssignResources()](https://docs.digitalocean.com/reference/godo/reference/projects/projects-assign-resources/index.html.md): AssignResources assigns one or more resources to a project. - [godo.AsyncInvocations.Get()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-async-invocations-get/index.html.md): Get fetches the current status of an async invocation; Output/Error are populated only on terminal states. - [godo.AsyncInvocations.New()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-async-invocations-new/index.html.md): New starts an asynchronous fal model invocation. - [godo.NfsActions.Attach()](https://docs.digitalocean.com/reference/godo/reference/nfs-actions/nfs-actions-attach/index.html.md): Attach an NFS share - [godo.StorageActions.Attach()](https://docs.digitalocean.com/reference/godo/reference/storage-actions/storage-actions-attach/index.html.md): Attach a storage volume to a Droplet. - [godo.AgentPlatform.AttachKnowledgeBaseToAgent()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-attach-knowledge-base-to-agent/index.html.md): Attach a knowledge base to an agent - [godo.Audio.Speech.New()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-audio-speech-new/index.html.md): New creates speech audio from text input. - [godo.Droplets.Backups()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-backups/index.html.md): Backups lists the backups for a Droplet. - [godo.HostedAgentTriggers.Cancel()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-cancel/index.html.md): Cancel ends a running execution: fails it and frees the trigger's in-flight slot. - [godo.Apps.CancelEvent()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-cancel-event/index.html.md): CancelEvent cancels an in-progress autoscaling event. - [godo.AgentPlatform.CancelIndexingJob()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-cancel-indexing-job/index.html.md): CancelIndexingJob cancels a specific indexing job for a knowledge base - [godo.BatchInference.CancelJob()](https://docs.digitalocean.com/reference/godo/reference/batch-inference/batch-inference-cancel-job/index.html.md): CancelJob requests cancellation of a batch inference job. - [godo.Apps.CancelJobInvocation()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-cancel-job-invocation/index.html.md): CancelJobInvocation cancels a specific job invocation for a given app. - [godo.AgentPlatform.CancelModelEvaluationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-cancel-model-evaluation-run/index.html.md): CancelModelEvaluationRun cancels an in-progress model evaluation run. - [godo.AgentPlatform.CancelSimulationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-cancel-simulation-run/index.html.md): CancelSimulationRun cancels an in-progress simulation run. - [godo.HostedAgents.CancelWorkspaceTransfer()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-cancel-workspace-transfer/index.html.md): CancelWorkspaceTransfer aborts an in-flight transfer. - [godo.DropletActions.ChangeBackupPolicy()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-change-backup-policy/index.html.md): ChangeBackupPolicy updates a backup policy when backups are enabled. - [godo.DropletActions.ChangeKernel()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-change-kernel/index.html.md): ChangeKernel changes the kernel for a Droplet. - [godo.Chat.Completions.New()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-chat-completions-new/index.html.md): New creates a non-streaming chat completion. - [godo.Chat.Completions.NewStreaming()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-chat-completions-new-streaming/index.html.md): NewStreaming opens an SSE stream of chat completion chunks; body.Stream is forced to true. - [godo.ActionGateway.ActorLimits.Clear()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-actor-limits/action-gateway-actor-limits-clear/index.html.md): Clear removes selected overrides using the public limits:clear action. - [godo.HostedAgents.CommitWorkspaceTransfer()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-commit-workspace-transfer/index.html.md): CommitWorkspaceTransfer finalizes an upload after all parts have been PUT and starts applying the file into the workspace. - [godo.MicroVMs.ConsoleURL()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-console-url/index.html.md): ConsoleURL builds the WebSocket URL for an interactive PTY console on the MicroVM (GET /v2/microvms/{id}/console). - [godo.ImageActions.Convert()](https://docs.digitalocean.com/reference/godo/reference/image-actions/image-actions-convert/index.html.md): Convert an image to a snapshot - [godo.ActionGateway.Connections.Create()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-connections/action-gateway-connections-create/index.html.md): Create creates a connection. - [godo.ActionGateway.MCPServers.Create()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-mcp-servers/action-gateway-mcp-servers-create/index.html.md): Create registers an MCP server. - [godo.ActionGateway.OutputViews.Create()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-output-views/action-gateway-output-views-create/index.html.md): Create saves an output view. - [godo.ActionGateway.Sessions.Create()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-sessions/action-gateway-sessions-create/index.html.md): Create creates a control-plane session. - [godo.ActionGateway.Toolbelts.Create()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-toolbelts/action-gateway-toolbelts-create/index.html.md): Create creates a toolbelt. - [godo.Apps.Create()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-create/index.html.md): Create an app. - [godo.BYOIPPrefixes.Create()](https://docs.digitalocean.com/reference/godo/reference/byoip-prefixes/byoip-prefixes-create/index.html.md): Reference for godo.BYOIPPrefixes.Create() in the godo Go library. - [godo.CDNs.Create()](https://docs.digitalocean.com/reference/godo/reference/cdns/cdns-create/index.html.md): Create a new CDN - [godo.Certificates.Create()](https://docs.digitalocean.com/reference/godo/reference/certificates/certificates-create/index.html.md): Create a new certificate with provided configuration. - [godo.Databases.Create()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create/index.html.md): Create creates a database cluster - [godo.DedicatedInference.Create()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-create/index.html.md): Create a new Dedicated Inference with the given configuration. - [godo.Domains.Create()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-create/index.html.md): Create a new domain - [godo.DropletAutoscale.Create()](https://docs.digitalocean.com/reference/godo/reference/droplet-autoscale/droplet-autoscale-create/index.html.md): Create a new droplet autoscale pool - [godo.Droplets.Create()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-create/index.html.md): Create Droplet - [godo.Firewalls.Create()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-create/index.html.md): Create a new Firewall with a given configuration. - [godo.FloatingIPs.Create()](https://docs.digitalocean.com/reference/godo/reference/floating-ips/floating-ips-create/index.html.md): Create a floating IP. - [godo.HostedAgentTriggers.Create()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-create/index.html.md): Create creates a webhook or cron trigger. - [godo.Images.Create()](https://docs.digitalocean.com/reference/godo/reference/images/images-create/index.html.md): Create a new image - [godo.Keys.Create()](https://docs.digitalocean.com/reference/godo/reference/keys/keys-create/index.html.md): Create an SSH key using a KeyCreateRequest - [godo.Kubernetes.Create()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-create/index.html.md): Create creates a Kubernetes cluster. - [godo.LoadBalancers.Create()](https://docs.digitalocean.com/reference/godo/reference/load-balancers/load-balancers-create/index.html.md): Create a new load balancer with a given configuration. - [godo.MicroVMs.Create()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-create/index.html.md): Create provisions a new MicroVM with the provided configuration. - [godo.Nfs.Create()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-create/index.html.md): Create creates a new NFS share. - [godo.PartnerAttachment.Create()](https://docs.digitalocean.com/reference/godo/reference/partner-attachment/partner-attachment-create/index.html.md): Create creates a new Partner Attachment. - [godo.Projects.Create()](https://docs.digitalocean.com/reference/godo/reference/projects/projects-create/index.html.md): Create a new project. - [godo.Registries.Create()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-create/index.html.md): Create creates a new registry. - [godo.Registry.Create()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-create/index.html.md): Create creates a registry. - [godo.ReservedIPs.Create()](https://docs.digitalocean.com/reference/godo/reference/reserved-ips/reserved-ips-create/index.html.md): Create a reserved IP. - [godo.ReservedIPV6s.Create()](https://docs.digitalocean.com/reference/godo/reference/reserved-ipv6s/reserved-ipv6s-create/index.html.md): Create a new IPv6 - [godo.Secrets.Create()](https://docs.digitalocean.com/reference/godo/reference/secrets/secrets-create/index.html.md): Create creates a new secret. - [godo.SpacesKeys.Create()](https://docs.digitalocean.com/reference/godo/reference/spaces-keys/spaces-keys-create/index.html.md): Create creates a new Spaces key. - [godo.Tags.Create()](https://docs.digitalocean.com/reference/godo/reference/tags/tags-create/index.html.md): Create a new tag - [godo.UptimeChecks.Create()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-create/index.html.md): Create a new uptime check. - [godo.VectorDBs.Create()](https://docs.digitalocean.com/reference/godo/reference/vector-databases/vector-databases-create/index.html.md): Create creates a vector database. - [godo.VPCNATGateways.Create()](https://docs.digitalocean.com/reference/godo/reference/vpc-nat-gateways/vpc-nat-gateways-create/index.html.md): Create a new VPC NAT Gateway - [godo.VPCs.Create()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-create/index.html.md): Create creates a new Virtual Private Cloud. - [godo.Functions.CreateAccessKey()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-create-access-key/index.html.md): CreateAccessKey creates an access key for a namespace - [godo.Nfs.CreateAccessPoint()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-create-access-point/index.html.md): CreateAccessPoint creates a new access point for a share. - [godo.MicroVMs.CreateAccessToken()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-create-access-token/index.html.md): CreateAccessToken creates an API token that grants access to the public endpoint of one MicroVM only. - [godo.AgentPlatform.CreateAgent()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-agent/index.html.md): CreateAgent creates a new Agent Platform Agent by providing the AgentCreateRequest object - [godo.AgentPlatform.CreateAgentAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-agent-api-key/index.html.md): CreateAgentAPIKey creates a new API key for the specified Agent Platform agent - [godo.HostedAgents.CreateAgentConfig()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-agent-config/index.html.md): CreateAgentConfig creates an immutable Environment from a name and environment spec YAML. - [godo.UptimeChecks.CreateAlert()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-create-alert/index.html.md): CreateAlert creates a new check alert. - [godo.Monitoring.CreateAlertPolicy()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-create-alert-policy/index.html.md): CreateAlertPolicy creates a new alert policy - [godo.Insights.CreateAlertRule()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-create-alert-rule/index.html.md): CreateAlertRule creates an alert rule. - [godo.AgentPlatform.CreateAnthropicAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-anthropic-api-key/index.html.md): Reference for godo.AgentPlatform.CreateAnthropicAPIKey() in the godo Go library. - [godo.HostedAgents.CreateCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-checkpoint/index.html.md): CreateCheckpoint captures a save point for the session. - [godo.MicroVMs.CreateCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-create-checkpoint/index.html.md): CreateCheckpoint starts an asynchronous checkpoint of a running MicroVM. - [godo.HostedAgents.CreateConnection()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-connection/index.html.md): CreateConnection creates a connection binding an actor to the provider. - [godo.AgentPlatform.CreateCustomEvaluationMetric()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-custom-evaluation-metric/index.html.md): CreateCustomEvaluationMetric creates a custom model-evaluation metric. - [godo.Insights.CreateDashboard()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-create-dashboard/index.html.md): CreateDashboard creates a dashboard. - [godo.Databases.CreateDB()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-db/index.html.md): CreateDB will create a new database - [godo.Signals.CreateDeletion()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-create-deletion/index.html.md): CreateDeletion starts an on-demand data deletion job (POST /v1/signals/deletions). - [godo.Apps.CreateDeployment()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-create-deployment/index.html.md): CreateDeployment creates an app deployment. - [godo.HostedAgents.CreateEnvironment()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-environment/index.html.md): CreateEnvironment creates an immutable Environment from a name and environment spec YAML. - [godo.AgentPlatform.CreateEvaluationDataset()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-evaluation-dataset/index.html.md): CreateEvaluationDataset registers an evaluation dataset from a file that was previously uploaded via CreateModelEvalDatasetUploadPresignedURLs. - [godo.Signals.CreateExport()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-create-export/index.html.md): CreateExport starts a bulk signal export job (POST /v1/signals/exports). - [godo.AgentPlatform.CreateFunctionRoute()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-function-route/index.html.md): Attaches a functionroute to an agent. - [godo.AgentPlatform.CreateInferenceRouter()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-inference-router/index.html.md): CreateInferenceRouter creates a new inference router. - [godo.BatchInference.CreateJob()](https://docs.digitalocean.com/reference/godo/reference/batch-inference/batch-inference-create-job/index.html.md): CreateJob creates a new batch inference job. - [godo.Databases.CreateKafkaSchemaRegistry()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-kafka-schema-registry/index.html.md): CreateKafkaSchemaRegistry creates a kafka schema registry subject - [godo.AgentPlatform.CreateKnowledgeBase()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-knowledge-base/index.html.md): Create a knowledge base - [godo.Databases.CreateLogsink()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-logsink/index.html.md): CreateLogsink creates a new logsink for a database - [godo.AgentPlatform.CreateModelEvalDatasetUploadPresignedURLs()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-model-eval-dataset-upload-presigned-urls/index.html.md): CreateModelEvalDatasetUploadPresignedURLs creates presigned URLs that can be used to upload model evaluation dataset files. - [godo.AgentPlatform.CreateModelEvaluationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-model-evaluation-run/index.html.md): CreateModelEvaluationRun creates a new model evaluation run. - [godo.Droplets.CreateMultiple()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-create-multiple/index.html.md): CreateMultiple creates multiple Droplets. - [godo.Functions.CreateNamespace()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-create-namespace/index.html.md): Creates a namespace - [godo.Kubernetes.CreateNodePool()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-create-node-pool/index.html.md): CreateNodePool creates a new node pool in an existing Kubernetes cluster. - [godo.Insights.CreateNotificationChannel()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-create-notification-channel/index.html.md): CreateNotificationChannel creates a notification channel. - [godo.AgentPlatform.CreateOpenAIAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-open-aiapi-key/index.html.md): Reference for godo.AgentPlatform.CreateOpenAIAPIKey() in the godo Go library. - [godo.Databases.CreatePool()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-pool/index.html.md): CreatePool will create a new database connection pool - [godo.BatchInference.CreatePresignedUploadURL()](https://docs.digitalocean.com/reference/godo/reference/batch-inference/batch-inference-create-presigned-upload-url/index.html.md): CreatePresignedUploadURL creates a presigned URL for uploading a batch JSONL input file. - [godo.Domains.CreateRecord()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-create-record/index.html.md): CreateRecord creates a record using a DomainRecordEditRequest - [godo.Databases.CreateReplica()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-replica/index.html.md): CreateReplica will create a new database connection pool - [godo.ActionGateway.Sessions.CreateRuntime()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-sessions/action-gateway-sessions-create-runtime/index.html.md): CreateRuntime creates and binds a session to its MCP endpoint. - [godo.Security.CreateScan()](https://docs.digitalocean.com/reference/godo/reference/security/security-create-scan/index.html.md): CreateScan initiates a new CSPM scan. - [godo.AgentPlatform.CreateScenarioSet()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-scenario-set/index.html.md): CreateScenarioSet creates a scenario set from inline scenarios or an uploaded file. - [godo.AgentPlatform.CreateScenarioSetFromLibrary()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-scenario-set-from-library/index.html.md): CreateScenarioSetFromLibrary materializes a library entry into a team-owned scenario set. - [godo.AgentPlatform.CreateScenarioSetUploadPresignedURLs()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-scenario-set-upload-presigned-urls/index.html.md): CreateScenarioSetUploadPresignedURLs creates presigned URLs for uploading scenario set files. - [godo.HostedAgents.CreateSession()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-session/index.html.md): CreateSession provisions a new hosted agent session. - [godo.HostedAgents.CreateSessionFromConfig()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-session-from-config/index.html.md): CreateSessionFromConfig provisions a session from a durable Environment. - [godo.HostedAgents.CreateSessionFromEnvironment()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-session-from-environment/index.html.md): CreateSessionFromEnvironment provisions a session from a durable Environment. - [godo.HostedAgents.CreateSessionFromManifest()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-session-from-manifest/index.html.md): CreateSessionFromManifest uploads an environment spec YAML document (Content-Type: application/x-yaml). - [godo.AgentPlatform.CreateSimulationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-create-simulation-run/index.html.md): CreateSimulationRun creates a simulation run. - [godo.Storage.CreateSnapshot()](https://docs.digitalocean.com/reference/godo/reference/storage/storage-create-snapshot/index.html.md): CreateSnapshot creates a snapshot of a storage volume. - [godo.VPCs.CreateSubnet()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-create-subnet/index.html.md): CreateSubnet creates a new subnet within a VPC. - [godo.Routes.CreateSubnetRoute()](https://docs.digitalocean.com/reference/godo/reference/routes/routes-create-subnet-route/index.html.md): CreateSubnetRoute creates a customer-managed static route for a subnet. - [godo.HostedAgents.CreateTemplate()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-template/index.html.md): CreateTemplate creates a team custom template and kicks a build. - [godo.DedicatedInference.CreateToken()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-create-token/index.html.md): CreateToken creates a new auth token for a Dedicated Inference. - [godo.Databases.CreateTopic()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-topic/index.html.md): CreateTopic will create a new kafka topic - [godo.Functions.CreateTrigger()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-create-trigger/index.html.md): CreateTrigger creates a trigger - [godo.Databases.CreateUser()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-create-user/index.html.md): CreateUser will create a new database user - [godo.Storage.CreateVolume()](https://docs.digitalocean.com/reference/godo/reference/storage/storage-create-volume/index.html.md): CreateVolume creates a storage volume. - [godo.VPCs.CreateVPCPeering()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-create-vpc-peering/index.html.md): CreateVPCPeering creates a new Virtual Private Cloud Peering. - [godo.VPCs.CreateVPCPeeringByVPCID()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-create-vpc-peering-by-vpcid/index.html.md): CreateVPCPeeringByVPCID creates a new Virtual Private Cloud Peering for requested VPC ID. - [godo.HostedAgents.CreateWorkspace()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-workspace/index.html.md): CreateWorkspace creates a persistent workspace. - [godo.HostedAgents.CreateWorkspaceTransfer()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-workspace-transfer/index.html.md): CreateWorkspaceTransfer starts a large-file staged upload or download. - [godo.HostedAgents.CreateWorkspaceTransferPartUploadURLs()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-create-workspace-transfer-part-upload-urls/index.html.md): CreateWorkspaceTransferPartUploadURLs returns presigned URLs to PUT one or more upload parts. - [godo.ActionGateway.Connections.Delete()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-connections/action-gateway-connections-delete/index.html.md): Delete revokes and deletes a connection. - [godo.ActionGateway.MCPServers.Delete()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-mcp-servers/action-gateway-mcp-servers-delete/index.html.md): Delete unregisters an MCP server. - [godo.ActionGateway.OutputViews.Delete()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-output-views/action-gateway-output-views-delete/index.html.md): Delete deletes an output view. - [godo.ActionGateway.Sessions.Delete()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-sessions/action-gateway-sessions-delete/index.html.md): Delete deletes a session by URN. - [godo.ActionGateway.Toolbelts.Delete()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-toolbelts/action-gateway-toolbelts-delete/index.html.md): Delete deletes a toolbelt. - [godo.Apps.Delete()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-delete/index.html.md): Delete an app. - [godo.BYOIPPrefixes.Delete()](https://docs.digitalocean.com/reference/godo/reference/byoip-prefixes/byoip-prefixes-delete/index.html.md): Reference for godo.BYOIPPrefixes.Delete() in the godo Go library. - [godo.CDNs.Delete()](https://docs.digitalocean.com/reference/godo/reference/cdns/cdns-delete/index.html.md): Delete an individual CDN - [godo.Certificates.Delete()](https://docs.digitalocean.com/reference/godo/reference/certificates/certificates-delete/index.html.md): Delete a certificate by its identifier. - [godo.Databases.Delete()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete/index.html.md): Delete deletes a database cluster. - [godo.DedicatedInference.Delete()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-delete/index.html.md): Delete an existing Dedicated Inference by its UUID. - [godo.Domains.Delete()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-delete/index.html.md): Delete domain - [godo.DropletAutoscale.Delete()](https://docs.digitalocean.com/reference/godo/reference/droplet-autoscale/droplet-autoscale-delete/index.html.md): Delete an existing autoscale pool - [godo.Droplets.Delete()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-delete/index.html.md): Delete Droplet. - [godo.Firewalls.Delete()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-delete/index.html.md): Delete a Firewall by its identifier. - [godo.FloatingIPs.Delete()](https://docs.digitalocean.com/reference/godo/reference/floating-ips/floating-ips-delete/index.html.md): Delete a floating IP. - [godo.HostedAgentTriggers.Delete()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-delete/index.html.md): Delete soft-deletes a trigger. - [godo.Images.Delete()](https://docs.digitalocean.com/reference/godo/reference/images/images-delete/index.html.md): Delete an image. - [godo.Kubernetes.Delete()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-delete/index.html.md): Delete deletes a Kubernetes cluster. - [godo.LoadBalancers.Delete()](https://docs.digitalocean.com/reference/godo/reference/load-balancers/load-balancers-delete/index.html.md): Delete a load balancer by its identifier. - [godo.MicroVMs.Delete()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-delete/index.html.md): Delete removes a MicroVM by its ID. - [godo.Nfs.Delete()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-delete/index.html.md): Delete deletes an NFS share by ID and region using the original public method signature. - [godo.PartnerAttachment.Delete()](https://docs.digitalocean.com/reference/godo/reference/partner-attachment/partner-attachment-delete/index.html.md): Delete deletes a Partner Attachment. - [godo.Projects.Delete()](https://docs.digitalocean.com/reference/godo/reference/projects/projects-delete/index.html.md): Delete an existing project. - [godo.Registries.Delete()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-delete/index.html.md): Delete deletes a named Registry. - [godo.Registry.Delete()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-delete/index.html.md): Delete deletes a registry. - [godo.ReservedIPs.Delete()](https://docs.digitalocean.com/reference/godo/reference/reserved-ips/reserved-ips-delete/index.html.md): Delete a reserved IP. - [godo.ReservedIPV6s.Delete()](https://docs.digitalocean.com/reference/godo/reference/reserved-ipv6s/reserved-ipv6s-delete/index.html.md): Delete a reserved IPv6. - [godo.Secrets.Delete()](https://docs.digitalocean.com/reference/godo/reference/secrets/secrets-delete/index.html.md): Delete schedules a secret for soft deletion. - [godo.Snapshots.Delete()](https://docs.digitalocean.com/reference/godo/reference/snapshots/snapshots-delete/index.html.md): Delete an snapshot. - [godo.SpacesKeys.Delete()](https://docs.digitalocean.com/reference/godo/reference/spaces-keys/spaces-keys-delete/index.html.md): Delete deletes a Spaces key. - [godo.Tags.Delete()](https://docs.digitalocean.com/reference/godo/reference/tags/tags-delete/index.html.md): Delete an existing tag - [godo.UptimeChecks.Delete()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-delete/index.html.md): Delete an existing uptime check. - [godo.VectorDBs.Delete()](https://docs.digitalocean.com/reference/godo/reference/vector-databases/vector-databases-delete/index.html.md): Delete deletes a vector database. - [godo.VPCNATGateways.Delete()](https://docs.digitalocean.com/reference/godo/reference/vpc-nat-gateways/vpc-nat-gateways-delete/index.html.md): Delete an existing VPC NAT Gateway - [godo.VPCs.Delete()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-delete/index.html.md): Delete deletes a Virtual Private Cloud. - [godo.Functions.DeleteAccessKey()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-delete-access-key/index.html.md): DeleteAccessKey deletes an access key for a namespace - [godo.Nfs.DeleteAccessPoint()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-delete-access-point/index.html.md): DeleteAccessPoint soft-deletes an NFS access point by ID. - [godo.AgentPlatform.DeleteAgent()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-agent/index.html.md): DeleteAgent function deletes an Agent Platform Agent by its corresponding UUID - [godo.AgentPlatform.DeleteAgentAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-agent-api-key/index.html.md): DeleteAgentAPIKey deletes an existing API key for the specified Agent Platform agent - [godo.HostedAgents.DeleteAgentConfig()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-agent-config/index.html.md): DeleteAgentConfig soft-deletes an Environment. - [godo.AgentPlatform.DeleteAgentRoute()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-agent-route/index.html.md): DeleteAgentRoute function deletes a route between a parent and child agent. - [godo.UptimeChecks.DeleteAlert()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-delete-alert/index.html.md): DeleteAlert deletes an existing check's alert. - [godo.Monitoring.DeleteAlertPolicy()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-delete-alert-policy/index.html.md): DeleteAlertPolicy deletes an existing alert policy - [godo.Insights.DeleteAlertRule()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-delete-alert-rule/index.html.md): DeleteAlertRule deletes an alert rule. - [godo.AgentPlatform.DeleteAnthropicAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-anthropic-api-key/index.html.md): Reference for godo.AgentPlatform.DeleteAnthropicAPIKey() in the godo Go library. - [godo.Keys.DeleteByFingerprint()](https://docs.digitalocean.com/reference/godo/reference/keys/keys-delete-by-fingerprint/index.html.md): DeleteByFingerprint deletes an SSH key by its fingerprint - [godo.Keys.DeleteByID()](https://docs.digitalocean.com/reference/godo/reference/keys/keys-delete-by-id/index.html.md): DeleteByID deletes an SSH key by its id - [godo.Droplets.DeleteByTag()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-delete-by-tag/index.html.md): DeleteByTag deletes Droplets matched by a Tag. - [godo.HostedAgents.DeleteCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-checkpoint/index.html.md): DeleteCheckpoint removes a checkpoint (DB row + substrate capture). - [godo.MicroVMs.DeleteCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-delete-checkpoint/index.html.md): DeleteCheckpoint releases the state stored by a checkpoint. - [godo.HostedAgents.DeleteConnection()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-connection/index.html.md): DeleteConnection revokes one connection by id. - [godo.AgentPlatform.DeleteCustomEvaluationMetric()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-custom-evaluation-metric/index.html.md): DeleteCustomEvaluationMetric soft-deletes a custom model-evaluation metric. - [godo.AgentPlatform.DeleteCustomModel()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-custom-model/index.html.md): DeleteCustomModel deletes the custom model with the given UUID. - [godo.DropletAutoscale.DeleteDangerous()](https://docs.digitalocean.com/reference/godo/reference/droplet-autoscale/droplet-autoscale-delete-dangerous/index.html.md): DeleteDangerous deletes an existing autoscale pool with all underlying resources - [godo.Kubernetes.DeleteDangerous()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-delete-dangerous/index.html.md): DeleteDangerous deletes a Kubernetes cluster and all its associated resources. - [godo.Insights.DeleteDashboard()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-delete-dashboard/index.html.md): DeleteDashboard deletes a dashboard. - [godo.Databases.DeleteDB()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-db/index.html.md): DeleteDB will delete an existing database - [godo.HostedAgents.DeleteEnvironment()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-environment/index.html.md): DeleteEnvironment soft-deletes an Environment. - [godo.AgentPlatform.DeleteEvaluationDataset()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-evaluation-dataset/index.html.md): DeleteEvaluationDataset deletes the evaluation dataset with the given UUID. - [godo.AgentPlatform.DeleteFunctionRoute()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-function-route/index.html.md): Deletes a functionroute to an agent. - [godo.Databases.DeleteIndex()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-index/index.html.md): DeleteIndex will delete an existing opensearch index - [godo.AgentPlatform.DeleteInferenceRouter()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-inference-router/index.html.md): DeleteInferenceRouter deletes an inference router by UUID. - [godo.Databases.DeleteKafkaSchemaRegistry()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-kafka-schema-registry/index.html.md): DeleteKafkaSchemaRegistry deletes a kafka schema registry subject - [godo.AgentPlatform.DeleteKnowledgeBase()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-knowledge-base/index.html.md): Deletes a knowledge base by its corresponding UUID and returns the UUID of the deleted knowledge base - [godo.AgentPlatform.DeleteKnowledgeBaseDataSource()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-knowledge-base-data-source/index.html.md): Deletes data source from a knowledge base - [godo.Databases.DeleteLogsink()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-logsink/index.html.md): DeleteLogsink deletes a logsink for a database cluster - [godo.Registries.DeleteManifest()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-delete-manifest/index.html.md): DeleteManifest deletes a manifest from a repository - [godo.Registry.DeleteManifest()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-delete-manifest/index.html.md): DeleteManifest deletes a manifest by its digest within a given repository. - [godo.AgentPlatform.DeleteModelEvaluationPreset()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-model-evaluation-preset/index.html.md): DeleteModelEvaluationPreset deletes the saved model evaluation preset with the given UUID. - [godo.AgentPlatform.DeleteModelEvaluationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-model-evaluation-run/index.html.md): DeleteModelEvaluationRun deletes the model evaluation run with the given UUID. - [godo.Functions.DeleteNamespace()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-delete-namespace/index.html.md): Delete a namespace - [godo.Kubernetes.DeleteNode()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-delete-node/index.html.md): DeleteNode deletes a specific node in a node pool. - [godo.Kubernetes.DeleteNodePool()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-delete-node-pool/index.html.md): DeleteNodePool deletes a node pool, and subsequently all the nodes in that pool. - [godo.Insights.DeleteNotificationChannel()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-delete-notification-channel/index.html.md): DeleteNotificationChannel deletes a notification channel. - [godo.AgentPlatform.DeleteOpenAIAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-open-aiapi-key/index.html.md): Reference for godo.AgentPlatform.DeleteOpenAIAPIKey() in the godo Go library. - [godo.Databases.DeletePool()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-pool/index.html.md): DeletePool will delete an existing database connection pool - [godo.Domains.DeleteRecord()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-delete-record/index.html.md): DeleteRecord deletes a record from a domain identified by id - [godo.Databases.DeleteReplica()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-replica/index.html.md): DeleteReplica will delete an existing database replica - [godo.AgentPlatform.DeleteScenarioSet()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-scenario-set/index.html.md): DeleteScenarioSet deletes a scenario set by UUID. - [godo.Kubernetes.DeleteSelective()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-delete-selective/index.html.md): DeleteSelective deletes a Kubernetes cluster and the specified associated resources. - [godo.AgentPlatform.DeleteSimulationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-delete-simulation-run/index.html.md): DeleteSimulationRun deletes a simulation run by UUID. - [godo.Nfs.DeleteSnapshot()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-delete-snapshot/index.html.md): Delete deletes an NFS snapshot by ID and region. - [godo.Storage.DeleteSnapshot()](https://docs.digitalocean.com/reference/godo/reference/storage/storage-delete-snapshot/index.html.md): DeleteSnapshot deletes a snapshot. - [godo.VPCs.DeleteSubnet()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-delete-subnet/index.html.md): DeleteSubnet deletes a subnet from a VPC. - [godo.Routes.DeleteSubnetRoute()](https://docs.digitalocean.com/reference/godo/reference/routes/routes-delete-subnet-route/index.html.md): DeleteSubnetRoute deletes a customer-managed static route for a subnet. - [godo.Registries.DeleteTag()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-delete-tag/index.html.md): DeleteTag deletes a tag from a repository - [godo.Registry.DeleteTag()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-delete-tag/index.html.md): DeleteTag deletes a tag within a given repository. - [godo.HostedAgents.DeleteTemplate()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-template/index.html.md): DeleteTemplate deletes a team custom template. - [godo.Databases.DeleteTopic()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-topic/index.html.md): DeleteTopic will delete an existing kafka topic - [godo.Functions.DeleteTrigger()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-delete-trigger/index.html.md): DeleteTrigger deletes a trigger - [godo.Databases.DeleteUser()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-delete-user/index.html.md): DeleteUser will delete an existing database user - [godo.Storage.DeleteVolume()](https://docs.digitalocean.com/reference/godo/reference/storage/storage-delete-volume/index.html.md): DeleteVolume deletes a storage volume. - [godo.VPCs.DeleteVPCPeering()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-delete-vpc-peering/index.html.md): DeleteVPCPeering deletes a Virtual Private Cloud Peering. - [godo.Nfs.DeleteWithOptions()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-delete-with-options/index.html.md): DeleteWithOptions deletes an NFS share. - [godo.HostedAgents.DeleteWorkspace()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-delete-workspace/index.html.md): DeleteWorkspace deletes a persistent workspace. - [godo.HostedAgents.DestroySession()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-destroy-session/index.html.md): DestroySession tears down a session. - [godo.NfsActions.Detach()](https://docs.digitalocean.com/reference/godo/reference/nfs-actions/nfs-actions-detach/index.html.md): Detach an NFS share - [godo.StorageActions.DetachByDropletID()](https://docs.digitalocean.com/reference/godo/reference/storage-actions/storage-actions-detach-by-droplet-id/index.html.md): DetachByDropletID a storage volume from a Droplet by Droplet ID. - [godo.AgentPlatform.DetachKnowledgeBaseToAgent()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-detach-knowledge-base-to-agent/index.html.md): Detach a knowledge base from an agent - [godo.Apps.Detect()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-detect/index.html.md): Detect an app. - [godo.DropletActions.DisableBackups()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-disable-backups/index.html.md): DisableBackups disables backups for a Droplet. - [godo.DropletActions.DisableBackupsByTag()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-disable-backups-by-tag/index.html.md): DisableBackupsByTag disables backups for Droplet matched by a Tag. - [godo.Registries.DockerCredentials()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-docker-credentials/index.html.md): DockerCredentials retrieves a Docker config file containing named Registry's credentials. - [godo.Registry.DockerCredentials()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-docker-credentials/index.html.md): DockerCredentials retrieves a Docker config file containing the registry's credentials. - [godo.MicroVMs.DownloadFile()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-download-file/index.html.md): DownloadFile streams a single regular file out of the MicroVM's workload container (GET /v2/microvms/{id}/files). - [godo.HostedAgents.DownloadWorkspace()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-download-workspace/index.html.md): DownloadWorkspace streams a file (or tar archive) out of the session workspace. - [godo.Domains.EditRecord()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-edit-record/index.html.md): EditRecord edits a record using a DomainRecordEditRequest - [godo.Embeddings.New()](https://docs.digitalocean.com/reference/godo/reference/serverless-inference/inference-embeddings-new/index.html.md): New creates one or more embedding vectors. - [godo.DropletActions.EnableBackups()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-backups/index.html.md): EnableBackups enables backups for a Droplet. - [godo.DropletActions.EnableBackupsByTag()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-backups-by-tag/index.html.md): EnableBackupsByTag enables backups for Droplets matched by a Tag. - [godo.DropletActions.EnableBackupsWithPolicy()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-backups-with-policy/index.html.md): EnableBackupsWithPolicy enables droplet's backup with a backup policy applied. - [godo.DropletActions.EnableIPv6()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-i-pv6/index.html.md): EnableIPv6 enables IPv6 for a Droplet. - [godo.DropletActions.EnableIPv6ByTag()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-i-pv6-by-tag/index.html.md): EnableIPv6ByTag enables IPv6 for Droplets matched by a Tag. - [godo.DropletActions.EnablePrivateNetworking()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-private-networking/index.html.md): EnablePrivateNetworking enables private networking for a Droplet. - [godo.DropletActions.EnablePrivateNetworkingByTag()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-private-networking-by-tag/index.html.md): EnablePrivateNetworkingByTag enables private networking for Droplets matched by a Tag. - [godo.MicroVMs.Exec()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-exec/index.html.md): Exec runs a one-shot, non-PTY command in the MicroVM's workload container and returns its stdout, stderr, and exit code. - [godo.HostedAgents.ExecInSandbox()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-exec-in-sandbox/index.html.md): ExecInSandbox runs a command inside the session sandbox. - [godo.CDNs.FlushCache()](https://docs.digitalocean.com/reference/godo/reference/cdns/cdns-flush-cache/index.html.md): FlushCache flushes the cache of an individual CDN. - [godo.HostedAgents.ForkSession()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-fork-session/index.html.md): ForkSession creates N independent child sessions from a checkpoint (or from "now" when FromCheckpointID is empty). - [godo.AgentPlatform.GenerateScenarioSet()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-generate-scenario-set/index.html.md): GenerateScenarioSet dispatches goal-driven scenario generation. - [godo.Account.Get()](https://docs.digitalocean.com/reference/godo/reference/account/account-get/index.html.md): Get DigitalOcean account info - [godo.ActionGateway.ActorLimits.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-actor-limits/action-gateway-actor-limits-get/index.html.md): Get retrieves an actor's configured and effective limits. - [godo.ActionGateway.Connections.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-connections/action-gateway-connections-get/index.html.md): Get retrieves one connection. - [godo.ActionGateway.MCPServers.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-mcp-servers/action-gateway-mcp-servers-get/index.html.md): Get retrieves one MCP server. - [godo.ActionGateway.OutputViews.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-output-views/action-gateway-output-views-get/index.html.md): Get retrieves an output view. - [godo.ActionGateway.Toolbelts.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-toolbelts/action-gateway-toolbelts-get/index.html.md): Get retrieves one toolbelt. - [godo.ActionGateway.Users.Get()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-users/action-gateway-users-get/index.html.md): Get retrieves an end-user summary. - [godo.Actions.Get()](https://docs.digitalocean.com/reference/godo/reference/actions/actions-get/index.html.md): Get an action by ID. - [godo.Apps.Get()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get/index.html.md): Get an app. - [godo.Balance.Get()](https://docs.digitalocean.com/reference/godo/reference/balance/balance-get/index.html.md): Get DigitalOcean balance info - [godo.BYOIPPrefixes.Get()](https://docs.digitalocean.com/reference/godo/reference/byoip-prefixes/byoip-prefixes-get/index.html.md): Reference for godo.BYOIPPrefixes.Get() in the godo Go library. - [godo.CDNs.Get()](https://docs.digitalocean.com/reference/godo/reference/cdns/cdns-get/index.html.md): Get individual CDN. - [godo.Certificates.Get()](https://docs.digitalocean.com/reference/godo/reference/certificates/certificates-get/index.html.md): Get an existing certificate by its identifier. - [godo.Databases.Get()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get/index.html.md): Get retrieves the details of a database cluster - [godo.DedicatedInference.Get()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-get/index.html.md): Get an existing Dedicated Inference by its UUID. - [godo.Domains.Get()](https://docs.digitalocean.com/reference/godo/reference/domains/domains-get/index.html.md): Get individual domain. - [godo.DropletActions.Get()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-get/index.html.md): Get an action for a particular Droplet by id. - [godo.DropletAutoscale.Get()](https://docs.digitalocean.com/reference/godo/reference/droplet-autoscale/droplet-autoscale-get/index.html.md): Get an existing droplet autoscale pool - [godo.Droplets.Get()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-get/index.html.md): Get individual Droplet. - [godo.Firewalls.Get()](https://docs.digitalocean.com/reference/godo/reference/firewalls/firewalls-get/index.html.md): Get an existing Firewall by its identifier. - [godo.FloatingIPActions.Get()](https://docs.digitalocean.com/reference/godo/reference/floating-ip-actions/floating-ip-actions-get/index.html.md): Get an action for a particular floating IP by id. - [godo.FloatingIPs.Get()](https://docs.digitalocean.com/reference/godo/reference/floating-ips/floating-ips-get/index.html.md): Get an individual floating IP. - [godo.HostedAgentTriggers.Get()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-get/index.html.md): Get returns a single trigger by ID. - [godo.ImageActions.Get()](https://docs.digitalocean.com/reference/godo/reference/image-actions/image-actions-get/index.html.md): Get an action for a particular image by id. - [godo.Invoices.Get()](https://docs.digitalocean.com/reference/godo/reference/invoices/invoices-get/index.html.md): Get detailed invoice items for an Invoice - [godo.Kubernetes.Get()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get/index.html.md): Get retrieves the details of a Kubernetes cluster. - [godo.LoadBalancers.Get()](https://docs.digitalocean.com/reference/godo/reference/load-balancers/load-balancers-get/index.html.md): Get an existing load balancer by its identifier. - [godo.MicroVMs.Get()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-get/index.html.md): Get retrieves a MicroVM by its ID. - [godo.NfsActions.Get()](https://docs.digitalocean.com/reference/godo/reference/nfs-actions/nfs-actions-get/index.html.md): Get retrieves an NFS action by ID. - [godo.Nfs.Get()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-get/index.html.md): Get retrieves an NFS share by ID and region. - [godo.PartnerAttachment.Get()](https://docs.digitalocean.com/reference/godo/reference/partner-attachment/partner-attachment-get/index.html.md): Get returns the details of a Partner Attachment. - [godo.Projects.Get()](https://docs.digitalocean.com/reference/godo/reference/projects/projects-get/index.html.md): Get retrieves a single project by its ID. - [godo.Registries.Get()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-get/index.html.md): Get returns the details of a Registry identified by name or UUID. - [godo.Registry.Get()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-get/index.html.md): Get retrieves the details of a Registry. - [godo.ReservedIPActions.Get()](https://docs.digitalocean.com/reference/godo/reference/reserved-ip-actions/reserved-ip-actions-get/index.html.md): Get an action for a particular reserved IP by id. - [godo.ReservedIPs.Get()](https://docs.digitalocean.com/reference/godo/reference/reserved-ips/reserved-ips-get/index.html.md): Get an individual reserved IP. - [godo.ReservedIPV6s.Get()](https://docs.digitalocean.com/reference/godo/reference/reserved-ipv6s/reserved-ipv6s-get/index.html.md): Get an individual reserved IPv6. - [godo.Secrets.Get()](https://docs.digitalocean.com/reference/godo/reference/secrets/secrets-get/index.html.md): Get retrieves a secret by name and region. - [godo.Snapshots.Get()](https://docs.digitalocean.com/reference/godo/reference/snapshots/snapshots-get/index.html.md): Get retrieves a snapshot by id. - [godo.SpacesKeys.Get()](https://docs.digitalocean.com/reference/godo/reference/spaces-keys/spaces-keys-get/index.html.md): Get retrieves a Spaces key. - [godo.StorageActions.Get()](https://docs.digitalocean.com/reference/godo/reference/storage-actions/storage-actions-get/index.html.md): Get an action for a particular storage volume by id. - [godo.Tags.Get()](https://docs.digitalocean.com/reference/godo/reference/tags/tags-get/index.html.md): Get a single tag - [godo.UptimeChecks.Get()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-get/index.html.md): Get retrieves a single uptime check by its ID. - [godo.VectorDBs.Get()](https://docs.digitalocean.com/reference/godo/reference/vector-databases/vector-databases-get/index.html.md): Get retrieves the details of a vector database. - [godo.VPCNATGateways.Get()](https://docs.digitalocean.com/reference/godo/reference/vpc-nat-gateways/vpc-nat-gateways-get/index.html.md): Get an existing VPC NAT Gateway - [godo.VPCs.Get()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-get/index.html.md): Get returns the details of a Virtual Private Cloud. - [godo.Nfs.GetAccessPoint()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-get-access-point/index.html.md): GetAccessPoint retrieves an NFS access point by ID. - [godo.Databases.GetAdvancedMySQLConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-advanced-my-sql-config/index.html.md): GetAdvancedMySQLConfig retrieves the config for an advanced_mysql database cluster. - [godo.Databases.GetAdvancedPostgresSQLConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-advanced-postgres-sql-config/index.html.md): GetAdvancedPostgresSQLConfig retrieves the config for an advanced_pg database cluster. - [godo.AgentPlatform.GetAgent()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-agent/index.html.md): GetAgent returns the details of an Agent Platform Agent based on the Agent UUID - [godo.HostedAgents.GetAgentConfig()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-get-agent-config/index.html.md): GetAgentConfig returns one Environment with redacted credential slots. - [godo.Signals.GetAgentConsent()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-agent-consent/index.html.md): GetAgentConsent returns collection consent for one environment (default deny if no row). - [godo.UptimeChecks.GetAlert()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-get-alert/index.html.md): GetAlert retrieves a single uptime check alert by its ID. - [godo.Insights.GetAlertInstance()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-alert-instance/index.html.md): GetAlertInstance retrieves an alert instance. - [godo.Monitoring.GetAlertPolicy()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-alert-policy/index.html.md): GetAlertPolicy gets a single alert policy - [godo.Insights.GetAlertRule()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-alert-rule/index.html.md): GetAlertRule retrieves an alert rule. - [godo.AgentPlatform.GetAnthropicAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-anthropic-api-key/index.html.md): Reference for godo.AgentPlatform.GetAnthropicAPIKey() in the godo Go library. - [godo.Apps.GetAppDatabaseConnectionDetails()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-app-database-connection-details/index.html.md): GetAppDatabaseConnectionDetails retrieves credentials for databases associated with the app. - [godo.Apps.GetAppHealth()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-app-health/index.html.md): Reference for godo.Apps.GetAppHealth() in the godo Go library. - [godo.Apps.GetAppInstances()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-app-instances/index.html.md): GetAppInstances returns a list of emphemeral compute instances of the current deployment for an app. - [godo.Droplets.GetBackupPolicy()](https://docs.digitalocean.com/reference/godo/reference/droplets/droplets-get-backup-policy/index.html.md): Get individual droplet backup policy. - [godo.PartnerAttachment.GetBGPAuthKey()](https://docs.digitalocean.com/reference/godo/reference/partner-attachment/partner-attachment-get-bgp-auth-key/index.html.md): GetBGPAuthKey returns Partner Attachment bgp auth key - [godo.Keys.GetByFingerprint()](https://docs.digitalocean.com/reference/godo/reference/keys/keys-get-by-fingerprint/index.html.md): GetByFingerprint gets an SSH key by its fingerprint - [godo.Images.GetByID()](https://docs.digitalocean.com/reference/godo/reference/images/images-get-by-id/index.html.md): GetByID retrieves an image by id. - [godo.Keys.GetByID()](https://docs.digitalocean.com/reference/godo/reference/keys/keys-get-by-id/index.html.md): GetByID gets an SSH key by its ID - [godo.HostedAgentTriggers.GetBySession()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-get-by-session/index.html.md): GetBySession reverse-looks-up the trigger that produced or binds a session. - [godo.Images.GetBySlug()](https://docs.digitalocean.com/reference/godo/reference/images/images-get-by-slug/index.html.md): GetBySlug retrieves an image by slug. - [godo.DropletActions.GetByURI()](https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-get-by-uri/index.html.md): GetByURI gets an action for a particular Droplet by URI. - [godo.ImageActions.GetByURI()](https://docs.digitalocean.com/reference/godo/reference/image-actions/image-actions-get-by-uri/index.html.md): GetByURI gets an action for a particular image by URI. - [godo.Databases.GetCA()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-ca/index.html.md): GetCA retrieves the CA of a database cluster. - [godo.HostedAgents.GetCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-get-checkpoint/index.html.md): GetCheckpoint returns a single checkpoint by ID. - [godo.MicroVMs.GetCheckpoint()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-get-checkpoint/index.html.md): GetCheckpoint retrieves a checkpoint by its ID. - [godo.Kubernetes.GetClusterStatusMessages()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-cluster-status-messages/index.html.md): Reference for godo.Kubernetes.GetClusterStatusMessages() in the godo Go library. - [godo.Kubernetes.GetClusterlintResults()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-clusterlint-results/index.html.md): GetClusterlintResults fetches the diagnostics after clusterlint run completes - [godo.Prepayment.GetConfig()](https://docs.digitalocean.com/reference/godo/reference/prepayment/prepayment-get-config/index.html.md): GetConfig retrieves the authenticated customer's prepayment configuration and status. - [godo.HostedAgents.GetConnection()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-get-connection/index.html.md): GetConnection reads one connection by id. - [godo.MicroVMs.GetCreateOptions()](https://docs.digitalocean.com/reference/godo/reference/microvms/microvms-get-create-options/index.html.md): GetCreateOptions returns the sizes, the regions each one can be created in, the feature gates, and the account limits available to the authenticated team when creating a MicroVM. - [godo.Kubernetes.GetCredentials()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-credentials/index.html.md): GetCredentials returns a Kubernetes API server credentials for the specified cluster. - [godo.VectorDBs.GetCredentials()](https://docs.digitalocean.com/reference/godo/reference/vector-databases/vector-databases-get-credentials/index.html.md): GetCredentials retrieves admin credentials for a vector database. - [godo.Invoices.GetCSV()](https://docs.digitalocean.com/reference/godo/reference/invoices/invoices-get-csv/index.html.md): GetCSV returns the csv for an Invoice - [godo.AgentPlatform.GetCustomModel()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-custom-model/index.html.md): GetCustomModel retrieves a single custom model by UUID. - [godo.Insights.GetDashboard()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-dashboard/index.html.md): GetDashboard retrieves a dashboard by UUID. - [godo.Insights.GetDashboardSchema()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-dashboard-schema/index.html.md): GetDashboardSchema retrieves the JSON Schema (draft 2020-12) that dashboard specs must satisfy. - [godo.Databases.GetDB()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-db/index.html.md): GetDB returns a single database by name - [godo.Monitoring.GetDbaasMysqlCpuUsage()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-cpu-usage/index.html.md): GetDbaasMysqlCpuUsage retrieves CPU usage (percent) for a MySQL cluster. - [godo.Monitoring.GetDbaasMysqlDiskUsage()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-disk-usage/index.html.md): GetDbaasMysqlDiskUsage retrieves disk usage (percent) for a MySQL cluster. - [godo.Monitoring.GetDbaasMysqlIndexVsSequentialReads()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-index-vs-sequential-reads/index.html.md): GetDbaasMysqlIndexVsSequentialReads retrieves index vs sequential reads ratio (percent) for a MySQL service. - [godo.Monitoring.GetDbaasMysqlLoad()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-load/index.html.md): GetDbaasMysqlLoad retrieves load average for a MySQL cluster. - [godo.Monitoring.GetDbaasMysqlMemoryUsage()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-memory-usage/index.html.md): GetDbaasMysqlMemoryUsage retrieves memory usage (percent) for a MySQL cluster. - [godo.Monitoring.GetDbaasMysqlOpRates()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-op-rates/index.html.md): GetDbaasMysqlOpRates retrieves operations rate (select, insert, update, delete per second) for a MySQL service. - [godo.Monitoring.GetDbaasMysqlSchemaLatency()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-schema-latency/index.html.md): GetDbaasMysqlSchemaLatency retrieves table I/O latency (seconds) for a MySQL schema. - [godo.Monitoring.GetDbaasMysqlSchemaThroughput()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-schema-throughput/index.html.md): GetDbaasMysqlSchemaThroughput retrieves table I/O throughput (rows/s) for a MySQL schema. - [godo.Monitoring.GetDbaasMysqlThreadsActive()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-threads-active/index.html.md): GetDbaasMysqlThreadsActive retrieves active (running) threads for a MySQL service. - [godo.Monitoring.GetDbaasMysqlThreadsConnected()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-threads-connected/index.html.md): GetDbaasMysqlThreadsConnected retrieves current threads connected for a MySQL service. - [godo.Monitoring.GetDbaasMysqlThreadsCreatedRate()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-dbaas-mysql-threads-created-rate/index.html.md): GetDbaasMysqlThreadsCreatedRate retrieves threads created rate (per second) for a MySQL service. - [godo.Projects.GetDefault()](https://docs.digitalocean.com/reference/godo/reference/projects/projects-get-default/index.html.md): GetDefault project. - [godo.Signals.GetDeletion()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-deletion/index.html.md): GetDeletion returns one deletion job (GET /v1/signals/deletions/{deletion_id}). - [godo.Apps.GetDeployment()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-deployment/index.html.md): GetDeployment gets an app deployment. - [godo.Databases.GetDOSettings()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-do-settings/index.html.md): GetDOSettings retrieves the DigitalOcean-specific settings for a given cluster. - [godo.Monitoring.GetDropletAvailableMemory()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-available-memory/index.html.md): GetDropletAvailableMemory retrieves Droplet available memory metrics. - [godo.Monitoring.GetDropletBandwidth()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-bandwidth/index.html.md): GetDropletBandwidth retrieves Droplet bandwidth metrics. - [godo.Monitoring.GetDropletCachedMemory()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-cached-memory/index.html.md): GetDropletCachedMemory retrieves Droplet cached memory metrics. - [godo.Monitoring.GetDropletCPU()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-cpu/index.html.md): GetDropletCPU retrieves Droplet CPU metrics. - [godo.Monitoring.GetDropletFilesystemFree()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-filesystem-free/index.html.md): GetDropletFilesystemFree retrieves Droplet filesystem free metrics. - [godo.Monitoring.GetDropletFilesystemSize()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-filesystem-size/index.html.md): GetDropletFilesystemSize retrieves Droplet filesystem size metrics. - [godo.Monitoring.GetDropletFreeMemory()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-free-memory/index.html.md): GetDropletFreeMemory retrieves Droplet free memory metrics. - [godo.Monitoring.GetDropletLoad1()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-load1/index.html.md): GetDropletLoad1 retrieves Droplet load 1 metrics. - [godo.Monitoring.GetDropletLoad15()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-load15/index.html.md): GetDropletLoad15 retrieves Droplet load 15 metrics. - [godo.Monitoring.GetDropletLoad5()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-load5/index.html.md): GetDropletLoad5 retrieves Droplet load 5 metrics. - [godo.Monitoring.GetDropletTotalMemory()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-droplet-total-memory/index.html.md): GetDropletTotalMemory retrieves Droplet total memory metrics. - [godo.HostedAgents.GetEnvironment()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-get-environment/index.html.md): GetEnvironment returns one Environment with redacted credential slots. - [godo.Apps.GetEvent()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-event/index.html.md): GetEvent retrieves a single event for an app. - [godo.Apps.GetEventLogs()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-event-logs/index.html.md): GetEventLogs retrieves logs for an autoscaling event. - [godo.Databases.GetEvictionPolicy()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-eviction-policy/index.html.md): GetEvictionPolicy loads the eviction policy for a given Redis cluster. - [godo.Apps.GetExec()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-exec/index.html.md): GetExec retrieves the websocket URL used for sending/receiving console input and output. - [godo.Apps.GetExecWithOpts()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-exec-with-opts/index.html.md): GetExecWithOpts retrieves the websocket URL used for sending/receiving console input and output. - [godo.HostedAgentTriggers.GetExecution()](https://docs.digitalocean.com/reference/godo/reference/hosted-agent-triggers/hosted-agent-triggers-get-execution/index.html.md): GetExecution returns a single execution, including its payload. - [godo.Signals.GetExport()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-export/index.html.md): GetExport polls one export job. - [godo.Signals.GetExportDownload()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-export-download/index.html.md): GetExportDownload returns a 15-minute Spaces presign for a completed export. - [godo.Signals.GetExportOptions()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-export-options/index.html.md): GetExportOptions returns the static signal_type catalog. - [godo.Databases.GetFirewallRules()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-firewall-rules/index.html.md): GetFirewallRules loads the inbound sources for a given cluster. - [godo.Registries.GetGarbageCollection()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-get-garbage-collection/index.html.md): GetGarbageCollection gets the active garbage collection - [godo.Registry.GetGarbageCollection()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-get-garbage-collection/index.html.md): GetGarbageCollection retrieves the currently-active garbage collection for the specified registry; if there are no active garbage collections, then return a 404/NotFound error. - [godo.DedicatedInference.GetGPUModelConfig()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-get-gpu-model-config/index.html.md): GetGPUModelConfig returns supported GPU model configurations. - [godo.ActionGateway.Tools.GetHealth()](https://docs.digitalocean.com/reference/godo/reference/action-gateway-tools/action-gateway-tools-get-health/index.html.md): GetHealth retrieves health and optionally history for one tool. - [godo.AgentPlatform.GetIndexingJob()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-indexing-job/index.html.md): GetIndexingJob retrieves the status of a specific indexing job for a knowledge base - [godo.Signals.GetInferenceConsent()](https://docs.digitalocean.com/reference/godo/reference/signals/signals-get-inference-consent/index.html.md): GetInferenceConsent returns the team-level consent for serverless inference traffic. - [godo.AgentPlatform.GetInferenceRouter()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-inference-router/index.html.md): GetInferenceRouter retrieves an inference router by UUID. - [godo.Apps.GetInstanceSize()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-instance-size/index.html.md): GetInstanceSize retrieves information about a specific instance size for service, worker, and job components. - [godo.BatchInference.GetJob()](https://docs.digitalocean.com/reference/godo/reference/batch-inference/batch-inference-get-job/index.html.md): GetJob retrieves a batch inference job by ID. - [godo.Apps.GetJobInvocation()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-job-invocation/index.html.md): GetJobInvocation gets a specific job invocation for a given app. - [godo.Apps.GetJobInvocationLogs()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-job-invocation-logs/index.html.md): GetJobInvocationLogs retrieves job invocation logs. - [godo.BatchInference.GetJobResult()](https://docs.digitalocean.com/reference/godo/reference/batch-inference/batch-inference-get-job-result/index.html.md): GetJobResult retrieves the result download URLs for a completed batch inference job. - [godo.Databases.GetKafkaConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-kafka-config/index.html.md): GetKafkaConfig retrieves the config for a Kafka database cluster. - [godo.Databases.GetKafkaSchemaRegistry()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-kafka-schema-registry/index.html.md): GetKafkaSchemaRegistry retrieves a kafka schema registry subject - [godo.Databases.GetKafkaSchemaRegistryConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-kafka-schema-registry-config/index.html.md): GetKafkaSchemaRegistryConfig retrieves the configuration for a kafka schema registry - [godo.Databases.GetKafkaSchemaRegistrySubjectConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-kafka-schema-registry-subject-config/index.html.md): GetKafkaSchemaRegistrySubjectConfig retrieves the configuration for a kafka schema registry subject - [godo.AgentPlatform.GetKnowledgeBase()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-knowledge-base/index.html.md): Get information about a KnowledgeBase and its Database status Database status can be … - [godo.Kubernetes.GetKubeConfig()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-kube-config/index.html.md): GetKubeConfig returns a Kubernetes config file for the specified cluster. - [godo.Kubernetes.GetKubeConfigWithExpiry()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-kube-config-with-expiry/index.html.md): GetKubeConfigWithExpiry returns a Kubernetes config file for the specified cluster with expiry_seconds. - [godo.Security.GetLatestScan()](https://docs.digitalocean.com/reference/godo/reference/security/security-get-latest-scan/index.html.md): GetLatestScan retrieves the latest scan with optional findings filters. - [godo.Monitoring.GetLoadBalancerDropletsConnections()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-connections/index.html.md): GetLoadBalancerDropletsConnections retrieves droplet active connections for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsDowntime()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-downtime/index.html.md): GetLoadBalancerDropletsDowntime retrieves droplet downtime status for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHealthChecks()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-health-checks/index.html.md): GetLoadBalancerDropletsHealthChecks retrieves droplet health check status for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpResponseTimeAvg()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-response-time-avg/index.html.md): GetLoadBalancerDropletsHttpResponseTimeAvg retrieves droplet average HTTP response time for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpResponseTime50P()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-response-time50-p/index.html.md): GetLoadBalancerDropletsHttpResponseTime50P retrieves droplet 50th percentile HTTP response time for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpResponseTime95P()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-response-time95-p/index.html.md): GetLoadBalancerDropletsHttpResponseTime95P retrieves droplet 95th percentile HTTP response time for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpResponseTime99P()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-response-time99-p/index.html.md): GetLoadBalancerDropletsHttpResponseTime99P retrieves droplet 99th percentile HTTP response time for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpResponses()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-responses/index.html.md): GetLoadBalancerDropletsHttpResponses retrieves droplet HTTP rate of response code for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpSessionDurationAvg()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-session-duration-avg/index.html.md): GetLoadBalancerDropletsHttpSessionDurationAvg retrieves droplet average HTTP session duration for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpSessionDuration50P()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-session-duration50-p/index.html.md): GetLoadBalancerDropletsHttpSessionDuration50P retrieves droplet 50th percentile HTTP session duration for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsHttpSessionDuration95P()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-http-session-duration95-p/index.html.md): GetLoadBalancerDropletsHttpSessionDuration95P retrieves droplet 95th percentile HTTP session duration for a given load balancer. - [godo.Monitoring.GetLoadBalancerDropletsQueueSize()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-droplets-queue-size/index.html.md): GetLoadBalancerDropletsQueueSize retrieves droplet queue size for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendConnectionsCurrent()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-connections-current/index.html.md): GetLoadBalancerFrontendConnectionsCurrent retrieves frontend total current active connections for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendConnectionsLimit()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-connections-limit/index.html.md): GetLoadBalancerFrontendConnectionsLimit retrieves frontend max connections limit for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendCpuUtilization()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-cpu-utilization/index.html.md): GetLoadBalancerFrontendCpuUtilization retrieves frontend average percentage cpu utilization for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendFirewallDroppedBytes()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-firewall-dropped-bytes/index.html.md): GetLoadBalancerFrontendFirewallDroppedBytes retrieves firewall dropped bytes for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendFirewallDroppedPackets()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-firewall-dropped-packets/index.html.md): GetLoadBalancerFrontendFirewallDroppedPackets retrieves firewall dropped packets for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendHttpRequestsPerSecond()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-http-requests-per-second/index.html.md): GetLoadBalancerFrontendHttpRequestsPerSecond retrieves frontend HTTP requests per second for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendHttpResponses()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-http-responses/index.html.md): GetLoadBalancerFrontendHttpResponses retrieves frontend HTTP rate of response code for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendNetworkThroughputHttp()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-network-throughput-http/index.html.md): GetLoadBalancerFrontendNetworkThroughputHttp retrieves frontend HTTP throughput for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendNetworkThroughputTcp()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-network-throughput-tcp/index.html.md): GetLoadBalancerFrontendNetworkThroughputTcp retrieves frontend TCP throughput for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendNetworkThroughputUdp()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-network-throughput-udp/index.html.md): GetLoadBalancerFrontendNetworkThroughputUdp retrieves frontend UDP throughput for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendNlbTcpNetworkThroughput()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-nlb-tcp-network-throughput/index.html.md): GetLoadBalancerFrontendNlbTcpNetworkThroughput retrieves frontend TCP throughput for a given network load balancer. - [godo.Monitoring.GetLoadBalancerFrontendNlbUdpNetworkThroughput()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-nlb-udp-network-throughput/index.html.md): GetLoadBalancerFrontendNlbUdpNetworkThroughput retrieves frontend UDP throughput for a given network load balancer. - [godo.Monitoring.GetLoadBalancerFrontendTlsConnectionsCurrent()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-tls-connections-current/index.html.md): GetLoadBalancerFrontendTlsConnectionsCurrent retrieves frontend current TLS connections rate for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendTlsConnectionsExceedingRateLimit()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-tls-connections-exceeding-rate-limit/index.html.md): GetLoadBalancerFrontendTlsConnectionsExceedingRateLimit retrieves frontend closed TLS connections for exceeded rate limit for a given load balancer. - [godo.Monitoring.GetLoadBalancerFrontendTlsConnectionsLimit()](https://docs.digitalocean.com/reference/godo/reference/monitoring/monitoring-get-load-balancer-frontend-tls-connections-limit/index.html.md): GetLoadBalancerFrontendTlsConnectionsLimit retrieves frontend max TLS connections limit for a given load balancer. - [godo.Apps.GetLogs()](https://docs.digitalocean.com/reference/godo/reference/apps/apps-get-logs/index.html.md): GetLogs retrieves app logs. - [godo.Databases.GetLogsink()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-logsink/index.html.md): GetLogsink gets a logsink for a database - [godo.Databases.GetMetricsCredentials()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-metrics-credentials/index.html.md): GetMetricsCredentials gets the credentials required to access a user's metrics endpoints - [godo.AgentPlatform.GetModelByUUID()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-model-by-uuid/index.html.md): MCPSearchModelByUUID searches available models for a specific UUID and returns the model if it exists. - [godo.AgentPlatform.GetModelEvaluationPreset()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-model-evaluation-preset/index.html.md): GetModelEvaluationPreset retrieves a saved model evaluation preset by UUID. - [godo.AgentPlatform.GetModelEvaluationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-model-evaluation-run/index.html.md): GetModelEvaluationRun retrieves a model evaluation run by UUID. - [godo.AgentPlatform.GetModelEvaluationRunResultsDownloadURL()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-model-evaluation-run-results-download-url/index.html.md): GetModelEvaluationRunResultsDownloadURL returns a presigned download URL (gzip-compressed JSON) for a model evaluation run's results. - [godo.Databases.GetMongoDBConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-mongo-db-config/index.html.md): GetMongoDBConfig retrieves the config for a MongoDB database cluster. - [godo.Databases.GetMySQLConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-my-sql-config/index.html.md): GetMySQLConfig retrieves the config for a MySQL database cluster. - [godo.Functions.GetNamespace()](https://docs.digitalocean.com/reference/godo/reference/functions/functions-get-namespace/index.html.md): Gets a single namespace - [godo.Kubernetes.GetNodePool()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-node-pool/index.html.md): GetNodePool retrieves an existing node pool in a Kubernetes cluster. - [godo.Kubernetes.GetNodePoolTemplate()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-node-pool-template/index.html.md): GetNodePoolTemplate retrieves the template used for a given node pool to scale up from zero. - [godo.Insights.GetNotificationChannel()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-notification-channel/index.html.md): GetNotificationChannel retrieves a notification channel. - [godo.Databases.GetOnlineMigrationStatus()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-online-migration-status/index.html.md): GetOnlineMigrationStatus retrieves the status of the most recent online migration - [godo.AgentPlatform.GetOpenAIAPIKey()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-open-aiapi-key/index.html.md): Reference for godo.AgentPlatform.GetOpenAIAPIKey() in the godo Go library. - [godo.Databases.GetOpensearchConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-opensearch-config/index.html.md): GetOpensearchConfig retrieves the config for a Opensearch database cluster. - [godo.Kubernetes.GetOptions()](https://docs.digitalocean.com/reference/godo/reference/kubernetes/kubernetes-get-options/index.html.md): GetOptions returns options about the Kubernetes service, such as the versions available for cluster creation. - [godo.Nfs.GetOptions()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-get-options/index.html.md): GetOptions retrieves the valid parameter values for creating NFS shares: the available performance tiers with the size range each tier accepts, and the regions where NFS is supported. - [godo.Registries.GetOptions()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-get-options/index.html.md): GetOptions gets registry options - [godo.Registry.GetOptions()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-get-options/index.html.md): GetOptions returns options the user can use when creating or updating a registry. - [godo.Invoices.GetPDF()](https://docs.digitalocean.com/reference/godo/reference/invoices/invoices-get-pdf/index.html.md): GetPDF returns the pdf for an Invoice - [godo.Databases.GetPool()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-pool/index.html.md): GetPool returns a single database connection pool by name - [godo.Databases.GetPostgreSQLConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-postgre-sql-config/index.html.md): GetPostgreSQLConfig retrieves the config for a PostgreSQL database cluster. - [godo.Databases.GetRedisConfig()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-redis-config/index.html.md): GetRedisConfig retrieves the config for a Redis database cluster. - [godo.Databases.GetReplica()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-replica/index.html.md): GetReplica returns a single database replica - [godo.Insights.GetResource()](https://docs.digitalocean.com/reference/godo/reference/insights/insights-get-resource/index.html.md): GetResource retrieves the signal enablement for a resource by URN. - [godo.BYOIPPrefixes.GetResources()](https://docs.digitalocean.com/reference/godo/reference/byoip-prefixes/byoip-prefixes-get-resources/index.html.md): Reference for godo.BYOIPPrefixes.GetResources() in the godo Go library. - [godo.VectorDBs.GetRestoreStatus()](https://docs.digitalocean.com/reference/godo/reference/vector-databases/vector-databases-get-restore-status/index.html.md): GetRestoreStatus returns the current status of a restore operation. - [godo.Security.GetScan()](https://docs.digitalocean.com/reference/godo/reference/security/security-get-scan/index.html.md): GetScan retrieves a scan by its UUID with optional findings filters. - [godo.AgentPlatform.GetScenarioSet()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-scenario-set/index.html.md): GetScenarioSet retrieves a scenario set by UUID. - [godo.AgentPlatform.GetScenarioSetDownloadURL()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-scenario-set-download-url/index.html.md): GetScenarioSetDownloadURL returns a presigned download URL for a scenario set's canonical JSONL file. - [godo.PartnerAttachment.GetServiceKey()](https://docs.digitalocean.com/reference/godo/reference/partner-attachment/partner-attachment-get-service-key/index.html.md): Reference for godo.PartnerAttachment.GetServiceKey() in the godo Go library. - [godo.HostedAgents.GetSession()](https://docs.digitalocean.com/reference/godo/reference/hosted-agents/hosted-agents-get-session/index.html.md): GetSession returns a single session by ID. - [godo.AgentPlatform.GetSimulationEpisode()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-simulation-episode/index.html.md): GetSimulationEpisode retrieves a single episode within a simulation run. - [godo.AgentPlatform.GetSimulationEpisodeTrajectory()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-simulation-episode-trajectory/index.html.md): GetSimulationEpisodeTrajectory retrieves the parsed trajectory JSON for an episode. - [godo.AgentPlatform.GetSimulationEpisodeTrajectoryURL()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-simulation-episode-trajectory-url/index.html.md): GetSimulationEpisodeTrajectoryURL returns a presigned download URL for an episode's trajectory JSON. - [godo.AgentPlatform.GetSimulationRun()](https://docs.digitalocean.com/reference/godo/reference/agent-platform/agent-platform-get-simulation-run/index.html.md): GetSimulationRun retrieves a simulation run by UUID, including per-scenario result rollups when available. - [godo.DedicatedInference.GetSizes()](https://docs.digitalocean.com/reference/godo/reference/dedicated-inference/dedicated-inference-get-sizes/index.html.md): GetSizes returns available Dedicated Inference sizes and pricing. - [godo.Nfs.GetSnapshot()](https://docs.digitalocean.com/reference/godo/reference/nfs/nfs-get-snapshot/index.html.md): Get retrieves an NFS snapshot by ID and region. - [godo.Storage.GetSnapshot()](https://docs.digitalocean.com/reference/godo/reference/storage/storage-get-snapshot/index.html.md): GetSnapshot retrieves an individual snapshot. - [godo.Databases.GetSQLMode()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-sql-mode/index.html.md): GetSQLMode loads the SQL Mode settings for a given MySQL cluster. - [godo.UptimeChecks.GetState()](https://docs.digitalocean.com/reference/godo/reference/uptime-checks/uptime-checks-get-state/index.html.md): GetState of uptime check. - [godo.Prepayment.GetStatus()](https://docs.digitalocean.com/reference/godo/reference/prepayment/prepayment-get-status/index.html.md): GetStatus retrieves the authenticated customer's prepayment status. - [godo.Databases.GetStorageAutoscale()](https://docs.digitalocean.com/reference/godo/reference/databases/databases-get-storage-autoscale/index.html.md): GetStorageAutoscale retrieves the storage autoscaling configuration for a database cluster. - [godo.VPCs.GetSubnet()](https://docs.digitalocean.com/reference/godo/reference/vpcs/vpcs-get-subnet/index.html.md): GetSubnet retrieves a specific subnet by ID. - [godo.Registries.GetSubscription()](https://docs.digitalocean.com/reference/godo/reference/registries/registries-get-subscription/index.html.md): GetSubscription gets subscription information - [godo.Registry.GetSubscription()](https://docs.digitalocean.com/reference/godo/reference/registry/registry-get-subscription/index.html.md): GetSubscription retrieves the user's subscri
[...]
